PRAGMA foreign_keys=OFF;
BEGIN TRANSACTION;

CREATE TABLE metainfo(
    id INTEGER PRIMARY KEY NOT NULL,
    version INTEGER,
    last_update INTEGER NOT NULL
);

CREATE TABLE properties(
    id INTEGER PRIMARY KEY NOT NULL,
    background_color BLOB NOT NULL,
    background_image BLOB,
    background_image_opacity REAL NOT NULL,
    show_bg_image INTEGER NOT NULL DEFAULT FALSE,
    flip_h INTEGER NOT NULL DEFAULT FALSE,
    flip_v INTEGER NOT NULL DEFAULT FALSE,
    playback_speed REAL NOT NULL,
    prompter_margin REAL NOT NULL,
    prompter_word_count_factor REAL NOT NULL,
    indicator_type TEXT NOT NULL,
    indicator_size TEXT NOT NULL,
    indicator_color TEXT NOT NULL,
    indicator_position REAL NOT NULL,
    overlay_type TEXT NOT NULL,
    overlay_opacity REAL NOT NULL,
    overlay_image BLOB,
    text_alignment TEXT
);

CREATE TABLE texts(
    id INTEGER PRIMARY KEY NOT NULL,
    contents TEXT NOT NULL,
    binary_contents BLOB NOT NULL
);

--CREATE TABLE timelines (id INTEGER PRIMARY KEY, revision_id INTEGER REFERENCES revisions(id) NOT NULL);


COMMIT;
